Creating Organization Object
Introduction
This API allows users to create the organization.
How to call the API
You are required to pass the access token received from the login call to the authorization header of the request.
API Input Guidelines
You need to pass the CIN Number as Identifier in the request body and access token received from login in the respective authorization header.
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/...patronId.../organizations' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '{
"type": "uam",
"essentials": {
"uamNumber": "...uamNumber..."
}
}'Input Parameters
Parameter | Type | Description |
|---|---|---|
identifier | string | CIN number |
service | string | Value of the service |
callbackUrl | string | URL of the callbak |
Sample Response
{
"callbackUrl": "...callback...",
"accessToken": "...accestoken....",
"id": "....id...",
"patronId": "....patronid...",
"identifier": "...identifier...",
"service": "roc"
}Output Parameters
Parameter | Type | Description |
|---|---|---|
callbackUrl | string | URL of the callbak |
accessToke | string | Access Token |
id | string | Id of Organization |
service | string | Value of the service |
patronId | string | Id of the Patron |
identifier | string | CIN number |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Data Not Found |
409 | Error in getting Data from Upstream |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].